/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.$document.on('wdPjaxStart wdBackHistory', function() {
		cheshaloThemeModule.hideShopSidebar();
	});
	window.addEventListener('popstate', function() {
		cheshaloThemeModule.hideShopSidebar();
	});

	cheshaloThemeModule.$document.on('wdShopPageInit', function() {
		cheshaloThemeModule.hiddenSidebar();
	});

	cheshaloThemeModule.hiddenSidebar = function() {
		var position = cheshaloThemeModule.$body.hasClass('rtl') ? 'right' : 'left';

		if (cheshaloThemeModule.$body.hasClass('offcanvas-sidebar-desktop') && cheshaloThemeModule.windowWidth > 1024 || cheshaloThemeModule.$body.hasClass('offcanvas-sidebar-tablet') && cheshaloThemeModule.windowWidth <= 1024 ) {
			$('.area-sidebar-shop').addClass('wd-side-hidden wd-' + position + ' wd-inited wd-scroll');
			$('.area-sidebar-shop .widget-area').addClass('wd-scroll-content');
		}

		if (cheshaloThemeModule.$body.hasClass('offcanvas-sidebar-mobile') && cheshaloThemeModule.windowWidth <= 768) {
			$('.sidebar-container').addClass('wd-side-hidden wd-' + position + ' wd-inited wd-scroll');
			$('.sidebar-container .widget-area').addClass('wd-scroll-content');
		}

		cheshaloThemeModule.$body.off('click', '.wd-show-sidebar-btn, .wd-sidebar-opener').on('click', '.wd-show-sidebar-btn, .wd-sidebar-opener', function(e) {
			e.preventDefault();
			var $btn = $('.wd-show-sidebar-btn, .wd-sidebar-opener');

			if ($('.sidebar-container').hasClass('wd-opened')) {
				$btn.removeClass('wd-opened');
				cheshaloThemeModule.hideShopSidebar();
			} else {
				$btn.addClass('wd-opened');
				showSidebar();
			}
		});

		cheshaloThemeModule.$body.on('click touchstart', '.wd-close-side, .close-side-widget', function(e) {
			e.preventDefault();

			cheshaloThemeModule.hideShopSidebar();
		});

		var showSidebar = function() {
			$('.sidebar-container').addClass('wd-opened');
			$('.wd-close-side').addClass('wd-close-side-opened');
		};

		cheshaloThemeModule.$document.trigger('wdHiddenSidebarsInited');
	};

	cheshaloThemeModule.hideShopSidebar = function() {
		$('.sidebar-container').removeClass('wd-opened');
		$('.wd-close-side').removeClass('wd-close-side-opened');
	};

	$(document).ready(function() {
		cheshaloThemeModule.hiddenSidebar();
	});
})(jQuery);
