<?php

if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

if ( ! function_exists( 'cheshalo_get_vc_map_html_block' ) ) {
	function cheshalo_get_vc_map_html_block() {
		return array(
			'name'        => esc_html__( 'HTML Block', 'cheshalo' ),
			'base'        => 'html_block',
			'category'    => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Display pre-built HTML block', 'cheshalo' ),
			'icon'        => CHESHALO_ASSETS . '/images/vc-icon/html-block.svg',
			'params'      => array(
				array(
					'type'       => 'cheshalo_dropdown',
					'heading'    => esc_html__( 'Select block', 'cheshalo' ),
					'param_name' => 'id',
					'callback'   => 'cheshalo_get_html_blocks_array_with_empty',
				),
			),
		);
	}
}
