/* global cheshalo_settings */
(function($) {
	$.each([
		'frontend/element_ready/wd_popup.default',
	], function(index, value) {
		cheshaloThemeModule.wdElementorAddAction(value, function() {
			cheshaloThemeModule.contentPopup();
		});
	});

	cheshaloThemeModule.$document.on('wdShopPageInit', function() {
		cheshaloThemeModule.contentPopup();
	});

	cheshaloThemeModule.contentPopup = function() {
		if ('undefined' === typeof $.fn.magnificPopup) {
			return;
		}

		$('.wd-open-popup').magnificPopup({
			type        : 'inline',
			removalDelay: 500, //delay removal by X to allow out-animation
			tClose      : cheshalo_settings.close,
			tLoading    : cheshalo_settings.loading,
			callbacks   : {
				beforeOpen: function() {
					this.st.mainClass = 'mfp-move-horizontal content-popup-wrapper';
				},
				open      : function() {
					cheshaloThemeModule.$document.trigger('wood-images-loaded');
				}
			}
		});
	};

	$(document).ready(function() {
		cheshaloThemeModule.contentPopup();
	});
})(jQuery);
